;================  16F73.asm ================
;: 16F73.asm

processor 16F73                 ; .
radix dec                       ;    .
include "p16F73.inc"            ;    PIC16F876.
                                ;     MPLAB-IDE.
__CONFIG _WDT_OFF & _BODEN_OFF & _HS_OSC & _CP_OFF & _PWRTE_ON
Reg_1 EQU h'20'
Reg_2 EQU h'21'
Reg_3 EQU h'22'
Reg_4 EQU h'23'
Reg_5 EQU h'24'
Reg_6 EQU h'25'

org 0x0000                       ;  ,   
                                 ;  .
nop                              ; nop      MPLAB-ICD
clrf INTCON                      ;,   .
clrf PCLATH                      ;,  Bank 0  .

goto Start                       ;     .

org 0x0004                       ; .
;**********    **********
                                                        ;      
;**********   ************

;*****************   ****************
                                                       ;     
;*************    *************
Start                                                ;   .
CLRF PORTC
;**********    ********
BSF STATUS, RP0                    ;1 bank-TRIS
MOVLW b'00000110'                  ; Configure all pins
MOVWF ADCON1                       ; as digital inputs
MOVLW b'00000001'                  ; 0 ,  
MOVWF TRISA                        
movlw b'00000000'                  ;  
movwf TRISC                        ;  PORTD   
BCF STATUS, RP0                    ;1 bank-TRIS


;**********    *********

Chek: BTFSC PORTA, 0
goto        Chek
            movlw       .30
            movwf       Reg_1
            movlw       .113
            movwf       Reg_2
            movlw       .31
            movwf       Reg_3
delay1      decfsz      Reg_1,F
            goto        delay1
            decfsz      Reg_2,F
            goto        delay1
            decfsz      Reg_3,F
            goto        delay1
            nop
BTFSC PORTA, 0
goto        Chek
            bsf PORTC,7
            movlw       .190
            movwf       Reg_4
            movlw       .75
            movwf       Reg_5
            movlw       .21
            movwf       Reg_6
delay2      decfsz      Reg_4,F
            goto        delay2
            decfsz      Reg_5,F
            goto        delay2
            decfsz      Reg_6,F
            goto        delay2
            nop
            bcf PORTC,7           ; 
goto        Chek                  ; .
END